Index: applications/dual/vahala/DP/prac_verz.lyx
===================================================================
--- applications/dual/vahala/DP/prac_verz.lyx (revision 1444)
+++ applications/dual/vahala/DP/prac_verz.lyx (revision 1445)
@@ -2133,5 +2133,5 @@
 
  v tomto pořadí.
- Jejich srovnání a aplikaci na oba typy PMSM (SM a I) lze nalézt v 
+ Jejich srovnání a aplikaci na oba typy PMSM (SM- a I-) lze nalézt v 
 \begin_inset CommandInset citation
 LatexCommand cite
@@ -2676,6 +2676,545 @@
 
 \begin_layout Standard
-tady bude odvození, proč vlastně injektáže fungují, jak se to projevuje
- v rovnicích a co je na výstupu
+Teoretické zdůvodnění principu vysokofrekvenčních injektáží pro PMSM s různýmí
+ indukčnostmi 
+\begin_inset Formula $L_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{q}$
+\end_inset
+
+ bude založeno na 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "Fernandes2010,Hammel2010"
+
+\end_inset
+
+.
+ Uvažována bude injektáž označovaná jako 
+\emph on
+pulzující napěťový vektor
+\emph default
+, kdy je injektáž prováděna v rotorové souřadné soustavě 
+\begin_inset Formula $d-q$
+\end_inset
+
+.
+ Konkrétně je do estimované osy 
+\begin_inset Formula $d$
+\end_inset
+
+ injektována harmonický signál 
+\begin_inset Formula 
+\[
+u_{d}^{inj}=A_{inj}\cos\left(\omega_{inj}t\right)
+\]
+
+\end_inset
+
+kde 
+\begin_inset Formula $A_{inj}$
+\end_inset
+
+ je amplituda injektovaného signálu a 
+\begin_inset Formula $\omega_{inj}$
+\end_inset
+
+ pak jeho frekvence.
+ Odezva je získávána z proudu v estimované ose 
+\begin_inset Formula $q$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Vyjdeme ze soustavy rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice-pmsm-dq-ldq"
+
+\end_inset
+
+)
+\begin_inset Formula 
+\begin{eqnarray*}
+\frac{di_{d}}{dt} & = & -\frac{R_{s}}{L_{d}}i_{d}+\frac{L_{q}}{L_{d}}i_{q}\omega+\frac{1}{L_{d}}u_{d}\\
+\frac{di_{q}}{dt} & = & -\frac{R_{s}}{L_{q}}i_{q}-\frac{L_{d}}{L_{q}}i_{d}\omega-\frac{\psi_{pm}}{L_{q}}\omega+\frac{1}{L_{q}}u_{q}\\
+\frac{d\omega}{dt} & = & \frac{k_{p}p_{p}^{2}}{J}\left(\left(L_{d}-L_{q}\right)i_{d}i_{q}+\psi_{pm}i_{q}\right)-\frac{p_{p}}{J}T_{L}-\frac{B}{J}\omega\\
+\frac{d\vartheta}{dt} & = & \omega
+\end{eqnarray*}
+
+\end_inset
+
+Dále aplikujeme následující předpoklady 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "Fernandes2010"
+
+\end_inset
+
+: 
+\end_layout
+
+\begin_layout Enumerate
+frekvence injektovaného signálu je dostatečně velká oproti uvažované frekvenci
+ otáčení stroje 
+\begin_inset Formula $\omega_{inj}\gg\omega$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Enumerate
+otáčky jsou dostatečně nízké, aby byla zanedbatelná zpětná elektromotorická
+ síla a poklesy napětí v důsledku rezistance obvodu
+\end_layout
+
+\begin_layout Enumerate
+uvažujeme pouze jednoduchou anizotropii, zde reprezentovanou rozdílnými
+ indukčnostmi 
+\begin_inset Formula $L_{d}\neq L_{q}$
+\end_inset
+
+ 
+\end_layout
+
+\begin_layout Standard
+Na základě těchto předpokladů je možno vyloučit interakci vysokofrekvenčního
+ signálu s 
+\begin_inset Quotes gld
+\end_inset
+
+mechanickou
+\begin_inset Quotes grd
+\end_inset
+
+ částí stroje a dále uvažujeme vysokofrekvenční model stroje ve tvaru
+\begin_inset Formula 
+\begin{eqnarray}
+\frac{di_{d}}{dt} & = & \frac{1}{L_{d}}u_{d}\nonumber \\
+\frac{di_{q}}{dt} & = & \frac{1}{L_{q}}u_{q}\label{eq:inj-hf-model}
+\end{eqnarray}
+
+\end_inset
+
+Dále zaveďme označení, kdy 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ reprezentuje skutečný úhel natočení rotoru, 
+\begin_inset Formula $\hat{\vartheta}$
+\end_inset
+
+ jeho odhad a veličina 
+\begin_inset Formula $\theta$
+\end_inset
+
+ představuje chyby tohoto odhadu 
+\begin_inset Formula $\theta=\vartheta-\hat{\vartheta}$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Průběh injektáže je pak následující:
+\end_layout
+
+\begin_layout Enumerate
+injektování vysokofrekvenčního signálu do estimované osy 
+\begin_inset Formula $d$
+\end_inset
+
+ (označíme jako 
+\begin_inset Formula $\hat{d}$
+\end_inset
+
+)
+\begin_inset Formula 
+\begin{eqnarray*}
+\tilde{u}_{\hat{d}} & = & u_{\hat{d}}+A_{inj}\cos\left(\omega_{inj}t\right)\\
+\tilde{u}_{\hat{q}} & = & u_{\hat{q}}
+\end{eqnarray*}
+
+\end_inset
+
+ kde 
+\begin_inset Formula $u_{\hat{d}\hat{q}}$
+\end_inset
+
+ značí řídící zásah navržený regulátorem, tedy bez injektáže, a 
+\begin_inset Formula $\tilde{u}_{\hat{d}\hat{q}}$
+\end_inset
+
+ řídící zásah s injektáží
+\end_layout
+
+\begin_layout Enumerate
+provedeme transformaci z estimovaného rotorového 
+\begin_inset Formula $d-q$
+\end_inset
+
+ do (skutečného) statorového 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ souřadného systému pomocí vztahu (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:transformace_d-q_na_al-be"
+
+\end_inset
+
+), tedy rotaci o 
+\begin_inset Formula $\hat{\vartheta}$
+\end_inset
+
+ 
+\begin_inset Formula 
+\begin{eqnarray*}
+\tilde{u}_{\alpha} & = & u_{\alpha}+A_{inj}\cos\left(\omega_{inj}t\right)\cos\hat{\vartheta}\\
+\tilde{u}_{\beta} & = & u_{\beta}+A_{inj}\cos\left(\omega_{inj}t\right)\sin\hat{\vartheta}
+\end{eqnarray*}
+
+\end_inset
+
+kde 
+\begin_inset Formula $u_{\alpha\beta}$
+\end_inset
+
+ představují zjednodušené označení pro transformované původní řídící zásahy
+ 
+\begin_inset Formula $u_{\hat{d}\hat{q}}$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Enumerate
+řídící zásahy 
+\begin_inset Formula $\tilde{u}_{\alpha\beta}$
+\end_inset
+
+ jsou použity ve stroji, ten je reprezentován rovnicemi vysokofrekvečního
+ modelu (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:inj-hf-model"
+
+\end_inset
+
+) v souřadné soustavě 
+\begin_inset Formula $d-q$
+\end_inset
+
+ a proto provedeme transformaci (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:transformace_al-be_na_d-q"
+
+\end_inset
+
+), nyní ale se skutečnou hodnotou 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+, protože uvažujeme, že ta je samotnému stroje, případně jeho modelu známa,
+ výsledkem jsou řídící zásahy
+\begin_inset Formula 
+\begin{eqnarray*}
+\tilde{u}_{d} & = & u_{d}+A_{inj}\cos\left(\omega_{inj}t\right)\cos\hat{\vartheta}\cos\vartheta+A_{inj}\cos\left(\omega_{inj}t\right)\sin\hat{\vartheta}\sin\vartheta\\
+\tilde{u}_{q} & = & u_{q}-A_{inj}\cos\left(\omega_{inj}t\right)\cos\hat{\vartheta}\sin\vartheta+A_{inj}\cos\left(\omega_{inj}t\right)\sin\hat{\vartheta}\cos\vartheta
+\end{eqnarray*}
+
+\end_inset
+
+kde opět 
+\begin_inset Formula $u_{dq}$
+\end_inset
+
+ značí řídící zásah navržený regulátorem, tedy bez injektáže, a 
+\begin_inset Formula $\tilde{u}_{dq}$
+\end_inset
+
+ řídící zásah s injektáží, nyní však ve skutečné souřadné soustavě 
+\begin_inset Formula $d-q$
+\end_inset
+
+ a nikoliv v estimované
+\end_layout
+
+\begin_layout Enumerate
+řídící zásahy 
+\begin_inset Formula $\tilde{u}_{dq}$
+\end_inset
+
+ nyní aplikujeme ve vysokofrekvenčním modelu (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:inj-hf-model"
+
+\end_inset
+
+) a vypočteme proudy 
+\begin_inset Formula $i_{dq}$
+\end_inset
+
+, v podstatě se jedná o integraci
+\begin_inset Formula 
+\begin{eqnarray*}
+\tilde{i}_{d} & = & i_{d}+\frac{A_{inj}}{L_{d}\omega_{inj}}\sin\left(\omega_{inj}t\right)\left(\cos\hat{\vartheta}\cos\vartheta+\sin\hat{\vartheta}\sin\vartheta\right)\\
+\tilde{i}_{q} & = & i_{q}+\frac{A_{inj}}{L_{q}\omega_{inj}}\sin\left(\omega_{inj}t\right)\left(-\cos\hat{\vartheta}\sin\vartheta+\sin\hat{\vartheta}\cos\vartheta\right)
+\end{eqnarray*}
+
+\end_inset
+
+kde 
+\begin_inset Formula $\tilde{i}_{dq}$
+\end_inset
+
+ představuje proudy na výstupu a pod označení 
+\begin_inset Formula $i_{dq}$
+\end_inset
+
+ byly zahrnuty zbývající členy z integrace, tedy integrace napětí 
+\begin_inset Formula $u_{dq}$
+\end_inset
+
+ a případné integrační konstanty
+\end_layout
+
+\begin_layout Enumerate
+následně provedeme zjednodušení zápisu vzorců pomocí základních goniometrických
+ vztahů a využijeme, že 
+\begin_inset Formula $\theta=\vartheta-\hat{\vartheta}$
+\end_inset
+
+, pak totiž platí
+\begin_inset Formula 
+\begin{eqnarray*}
+\tilde{i}_{d} & = & i_{d}+\frac{A_{inj}}{L_{d}\omega_{inj}}\sin\left(\omega_{inj}t\right)\cos\theta\\
+\tilde{i}_{q} & = & i_{q}-\frac{A_{inj}}{L_{q}\omega_{inj}}\sin\left(\omega_{inj}t\right)\sin\theta
+\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Enumerate
+návrh systému předpokládá měření proudů ve statorových souřadnicích a tedy
+ je nutné provést transformaci (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:transformace_d-q_na_al-be"
+
+\end_inset
+
+) do souřadného systému 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+:
+\begin_inset Formula 
+\begin{eqnarray*}
+\tilde{i}_{\alpha} & = & i_{\alpha}+\frac{A_{inj}}{\omega_{inj}}\sin\left(\omega_{inj}t\right)\left(\frac{\cos\theta\cos\vartheta}{L_{d}}+\frac{\sin\theta\sin\vartheta}{L_{q}}\right)\\
+\tilde{i}_{\beta} & = & i_{\beta}+\frac{A_{inj}}{\omega_{inj}}\sin\left(\omega_{inj}t\right)\left(\frac{\cos\theta\sin\vartheta}{L_{d}}-\frac{\sin\theta\cos\vartheta}{L_{q}}\right)
+\end{eqnarray*}
+
+\end_inset
+
+kde jako 
+\begin_inset Formula $i_{\alpha\beta}$
+\end_inset
+
+ označíme transformované proudy 
+\begin_inset Formula $i_{dq}$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Enumerate
+dále je ještě třeba převést proudy pomocí transformace (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:transformace_al-be_na_d-q"
+
+\end_inset
+
+) do estimované rotorové souřadné soustavy 
+\begin_inset Formula $d-q$
+\end_inset
+
+, ve které probíhá vyhodnocení
+\begin_inset Formula 
+\begin{eqnarray*}
+\tilde{i}_{\hat{d}} & = & i_{\hat{d}}+\frac{A_{inj}}{\omega_{inj}}\sin\left(\omega_{inj}t\right)\left(\frac{\cos^{2}\theta}{L_{d}}+\frac{\sin^{2}\theta}{L_{q}}\right)\\
+\tilde{i}_{\hat{q}} & = & i_{\hat{q}}+\frac{A_{inj}}{\omega_{inj}}\sin\left(\omega_{inj}t\right)\left(\frac{\sin\theta\cos\theta}{L_{d}}-\frac{\sin\theta\cos\theta}{L_{q}}\right)
+\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Enumerate
+následuje izolování modulovaného vysokofrekvenčního signálu na frekvenci
+ 
+\begin_inset Formula $\omega_{inj}$
+\end_inset
+
+ z proudu v estimované 
+\begin_inset Formula $d$
+\end_inset
+
+ ose, tento signál označíme 
+\begin_inset Formula $i_{q}^{inj}$
+\end_inset
+
+ a jeho hodnota v čase je
+\begin_inset Formula 
+\[
+i_{q}^{inj}=\frac{A_{inj}}{\omega_{inj}}\sin\left(\omega_{inj}t\right)\sin\theta\cos\theta\left(\frac{1}{L_{d}}-\frac{1}{L_{q}}\right)
+\]
+
+\end_inset
+
+tedy na nosném vysokofrekvenčním signálu 
+\begin_inset Formula $\sin\left(\omega_{inj}t\right)$
+\end_inset
+
+ je modulována hodnota
+\begin_inset Formula 
+\begin{equation}
+\frac{A_{inj}\left(L_{q}-L_{d}\right)}{2\omega_{inj}L_{d}L_{q}}\sin2\theta\label{eq:inj-modul-signal}
+\end{equation}
+
+\end_inset
+
+tento výsledek lze nalézt například v (
+\series bold
+citace - ale bohužel všede jsem to našel se 4 místo 2
+\series default
+)
+\end_layout
+
+\begin_layout Standard
+Po demodulaci lze hodnoty (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:inj-modul-signal"
+
+\end_inset
+
+) použít k získání lepšího odhadu polohy 
+\begin_inset Formula $\hat{\vartheta}$
+\end_inset
+
+.
+ Není však příliš vhodném získávat odhad 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ z (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:inj-modul-signal"
+
+\end_inset
+
+) přímým výpočtem, protože takovýto výsledek by byl velmi nepřesný.
+ Je tomu tak proto, že samotná hodnota (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:inj-modul-signal"
+
+\end_inset
+
+) je poměrně nepřesná v důsledku demodulace a dále může být značně zatížena
+ šumem.
+ Výhodnější proto je použít vhodný zpětnovazební regulátor, například PI,
+ a regulovat hodnotu (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:inj-modul-signal"
+
+\end_inset
+
+) úměrnou chybě odhadu 
+\begin_inset Formula $\vartheta-\hat{\vartheta}$
+\end_inset
+
+ na nulu.
+\end_layout
+
+\begin_layout Standard
+Dále je třeba upozornit na nedostatky injektážní metody, které plynou ze
+ zápisu (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:inj-modul-signal"
+
+\end_inset
+
+).
+ Především je zřejmá nezbytnost předpokladu 
+\begin_inset Formula $L_{d}\neq L_{q}$
+\end_inset
+
+, protože v případě rovnosti je hodnota (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:inj-modul-signal"
+
+\end_inset
+
+) zřejmě rovna nule.
+ Dalším problémem je, že v (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:inj-modul-signal"
+
+\end_inset
+
+) nevystupuje přímo hodnota 
+\begin_inset Formula $\theta$
+\end_inset
+
+, ale hodnota 
+\begin_inset Formula $\sin2\theta$
+\end_inset
+
+ a vztah je tedy nelineární.
+ Budeme-li chtít využít lineární zpětnovazební regulátor pro regulaci 
+\begin_inset Formula $\theta$
+\end_inset
+
+ na nulu, lze jej použít pouze pro malé výchylky 
+\begin_inset Formula $\theta$
+\end_inset
+
+, kdy dostatečně přesně platí aproximace 
+\begin_inset Formula $\sin x\approx x$
+\end_inset
+
+.
+ I v případě, že tento problém vyřešíme, metoda bude stále fungovat pouze
+ pro odchylky 
+\begin_inset Formula $\theta$
+\end_inset
+
+ v omezeném intervalu 
+\begin_inset Formula $\theta\in\left(-\frac{\pi}{2},\frac{\pi}{2}\right\rangle $
+\end_inset
+
+ v důslekdu kratší periody funkce 
+\begin_inset Formula $\sin2x$
+\end_inset
+
+.
 \end_layout
 
@@ -3887,15 +4426,7 @@
 
 \begin_layout Standard
-Hlavním problémem injektáží z hlediska duálního řízení je, že se jedná spíše
- o 
-\begin_inset Quotes gld
-\end_inset
-
-ad hoc
-\begin_inset Quotes grd
-\end_inset
-
- přístup, který byl navržen s využitím konkrétních vlastností PMSM a pro
- předem určený účel.
+Hlavním problémem injektáží z hlediska duálního řízení je, že se jedná o
+ přístup pouze pro jeden konkrétní případ, který byl navržen s využitím
+ konkrétních vlastností PMSM a pro předem určený účel.
  Injektovaný vysokofrekvenční signál je užívaný jednak z důvodu menšího
  vlivu na chod samotného stroje.
@@ -3905,4 +4436,11 @@
  Dalším problémem injektovaného signálu jsou pak jeho parametry, jako amplituda
  a frekvence, ty jsou zpravidla nalézány experimentálně.
+\end_layout
+
+\begin_layout Standard
+Dalším zásadním problémem je, že injektáže fungují pouze na motory s anizotropie
+mi nějakého typu a jejich aplikace na SMPMSM je tedy značně omezena.
+ Jedná se tedy sice o funkční metodu, kterou však lze aplikovat pouze na
+ podskupinu všech dostupných strojů.
 \end_layout
 
@@ -4816,11 +5354,11 @@
 Pro zjednodušení zavedeme následující značení
 \begin_inset Formula 
-\begin{eqnarray*}
-a & = & 1-\frac{R_{s}}{L_{s}}\Delta t\\
-b & = & \frac{\psi_{pm}}{L_{s}}\Delta t\\
-c & = & \frac{\Delta t}{L_{s}}\\
-d & = & 1-\frac{B}{J}\Delta t\\
-e & = & \frac{k_{p}p_{p}^{2}\psi_{pm}}{J}\Delta t
-\end{eqnarray*}
+\begin{eqnarray}
+a & = & 1-\frac{R_{s}}{L_{s}}\Delta t\nonumber \\
+b & = & \frac{\psi_{pm}}{L_{s}}\Delta t\nonumber \\
+c & = & \frac{\Delta t}{L_{s}}\label{eq:zjednodus-znaceni-konstant}\\
+d & = & 1-\frac{B}{J}\Delta t\nonumber \\
+e & = & \frac{k_{p}p_{p}^{2}\psi_{pm}}{J}\Delta t\nonumber 
+\end{eqnarray}
 
 \end_inset
@@ -5036,6 +5574,12 @@
 
 \begin_layout Standard
-Při použití stejného zjednodušujícího značení a předpokladu nulového zátěžného
- momentu jsou rovnice ve tvaru
+Při použití stejného zjednodušujícího značení (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:zjednodus-znaceni-konstant"
+
+\end_inset
+
+) a předpokladu nulového zátěžného momentu jsou rovnice ve tvaru
 \begin_inset Formula 
 \begin{eqnarray}
@@ -5049,4 +5593,111 @@
 
 
+\end_layout
+
+\begin_layout Subsection
+Diskrétní rovnice pro různé indukčnosti v souřadné soustavě 
+\begin_inset Formula $d-q$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Nyní vyjdeme ze soustavy diferenciálních rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice-pmsm-dq-ldq"
+
+\end_inset
+
+)
+\begin_inset Formula 
+\begin{eqnarray*}
+\frac{di_{d}}{dt} & = & -\frac{R_{s}}{L_{d}}i_{d}+\frac{L_{q}}{L_{d}}i_{q}\omega+\frac{1}{L_{d}}u_{d}\\
+\frac{di_{q}}{dt} & = & -\frac{R_{s}}{L_{q}}i_{q}-\frac{L_{d}}{L_{q}}i_{d}\omega-\frac{\psi_{pm}}{L_{q}}\omega+\frac{1}{L_{q}}u_{q}\\
+\frac{d\omega}{dt} & = & \frac{k_{p}p_{p}^{2}}{J}\left(\left(L_{d}-L_{q}\right)i_{d}i_{q}+\psi_{pm}i_{q}\right)-\frac{p_{p}}{J}T_{L}-\frac{B}{J}\omega\\
+\frac{d\vartheta}{dt} & = & \omega
+\end{eqnarray*}
+
+\end_inset
+
+a diskretizaci provedeme opět stejným způsobem pomocí Eulerovy metody.
+ Popis PMSM pomocí diferenčních rovnic v souřadné soustavě 
+\begin_inset Formula $d-q$
+\end_inset
+
+ při uvažování různých indukčností 
+\begin_inset Formula $L_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{q}$
+\end_inset
+
+ nyní bude
+\begin_inset Formula 
+\begin{eqnarray}
+i_{d,t+1} & = & \left(1-\frac{R_{s}}{L_{d}}\Delta t\right)i_{d,t}+\frac{L_{q}\Delta t}{L_{d}}i_{q,t}\omega_{t}+\frac{\Delta t}{L_{d}}u_{d,t}\nonumber \\
+i_{q,t+1} & = & \left(1-\frac{R_{s}}{L_{q}}\Delta t\right)i_{q,t}-\frac{L_{d}\Delta t}{L_{q}}i_{d,t}\omega_{t}-\frac{\psi_{pm}\Delta t}{L_{q}}\omega_{t}+\frac{\Delta t}{L_{q}}u_{q,t}\label{eq:diskretni-system-dq-ldq}\\
+\omega_{t+1} & = & \left(1-\frac{B}{J}\Delta t\right)\omega_{t}+\frac{k_{p}p_{p}^{2}\Delta t}{J}\left(\left(L_{d}-L_{q}\right)i_{d,t}i_{q,t}+\psi_{pm}i_{q,t}\right)\nonumber \\
+\vartheta_{t+1} & = & \vartheta_{t}+\omega_{t}\Delta t\nonumber 
+\end{eqnarray}
+
+\end_inset
+
+Přičemž zátěžný moment 
+\begin_inset Formula $T_{L}$
+\end_inset
+
+ je opět považován za nulový, ale další zjednodušující označení konstant
+ v tomto případě záváděno nebude.
+\end_layout
+
+\begin_layout Subsection
+Diskrétní rovnice pro různé indukčnosti v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Postup odvození těchto rovnic je podobný jako v případě rovnic v soustavě
+ 
+\begin_inset Formula $d-q$
+\end_inset
+
+ pro stejné indukčnosti.
+ Do soustavy (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice-pmsm-dq-ldq"
+
+\end_inset
+
+) jsou dosazeny proudy transformované pomocí (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:transformace_al-be_na_d-q"
+
+\end_inset
+
+) a následně jsou první dvě rovnice násobeny 
+\begin_inset Formula $\sin\vartheta$
+\end_inset
+
+ nebo 
+\begin_inset Formula $\cos\vartheta$
+\end_inset
+
+ a sečteny, případně odečteny.
+ Výsledné vztahy v soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ mají ale poměrně komplikovaný zápis a proto zde uváděny nebudou.
+ 
+\series bold
+možná budou v příloze
 \end_layout
 
@@ -5437,6 +6088,10 @@
 
 \begin_layout Standard
-V případě plného modelu pro různé indukčnosti v osách 
-\begin_inset Formula $d-q$
+V případě plného modelu pro různé indukčnosti 
+\begin_inset Formula $L_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{q}$
 \end_inset
 
@@ -7070,49 +7725,19 @@
 
  souřadnice.
- Vyjdeme z rovnic pro stejné indukčnosti
+ Vyjdeme ze soustavy rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:diskretni-system-dq-ls"
+
+\end_inset
+
+)
 \begin_inset Formula 
 \begin{eqnarray*}
-i_{d,t+1} & = & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+\frac{\Delta t}{L_{s}}u_{d,t},\\
-i_{q,t+1} & = & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-\frac{\psi_{pm}\Delta t}{L_{s}}\omega_{t}+\frac{\Delta t}{L_{s}}u_{q,t},\\
-\omega_{t+1} & \text{=} & \left(1-\frac{B}{J}\Delta t\right)\omega_{t}+\Delta t\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}i_{q,t}-\frac{p_{p}}{J}T_{L}\Delta t,\\
-\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t,
+i_{d,t+1} & \text{=} & ai_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+cu_{d,t}\\
+i_{q,t+1} & \text{=} & ai_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-b\omega_{t}+cu_{q,t}\\
+\omega_{t+1} & \text{=} & d\omega_{t}+ei_{q,t}\\
+\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t
 \end{eqnarray*}
-
-\end_inset
-
-pro zjednodušení použijeme stejné označení konstant: 
-\begin_inset Formula $a=1-\frac{R_{s}}{L_{s}}\Delta t$
-\end_inset
-
-, 
-\begin_inset Formula $b=\frac{\psi_{pm}}{L_{s}}\Delta t$
-\end_inset
-
-, 
-\begin_inset Formula $c=\frac{\Delta t}{L_{s}}$
-\end_inset
-
-, 
-\begin_inset Formula $d=1-\frac{B}{J}\Delta t$
-\end_inset
-
-, 
-\begin_inset Formula $e=\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}\Delta t$
-\end_inset
-
-.
- Zátěžný moment opět předpokládáme nulový 
-\begin_inset Formula $T_{L}=0$
-\end_inset
-
-.
- Získáme rovnice ve tvaru
-\begin_inset Formula 
-\begin{eqnarray}
-i_{d,t+1} & = & ai_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+cu_{d,t},\nonumber \\
-i_{q,t+1} & = & ai_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-b\omega_{t}+cu_{q,t},\label{eq:rovnice_jedn_dq}\\
-\omega_{t+1} & \text{=} & d\omega_{t}+ei_{q,t},\nonumber \\
-\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t.\nonumber 
-\end{eqnarray}
 
 \end_inset
@@ -7128,35 +7753,5 @@
 
 .
- Problematika těchto dvou členů byla již nastíněna v části 
-\begin_inset CommandInset ref
-LatexCommand ref
-reference "sub:Rotace-do-dq-problclen"
-
-\end_inset
-
-, kde v rovnici (
-\begin_inset CommandInset ref
-LatexCommand ref
-reference "eq:dqrce-probl-clen"
-
-\end_inset
-
-) jsou tyto členy zarámovány.
- Při jistém pořadí úprav (které ale není zcela korektní) tyto členy nevzniknou
- a je tedy namístě otázka, co se stane, když je zanedbáme.
- Pak by systém byl lineární, matici řízení 
-\begin_inset Formula $L$
-\end_inset
-
- by bylo možno předpočítat a celý návrh řízení by se usnadnil a hlavně urychlil.
- Jestli je však možné tyto členy zanedbat a jaké to má důsledky bude ukázáno
- dále jako výsledek simulací.
- Z tohoto důvodu zde bude uvedena i verze matic pro systém PMSM bez těchto
- členů.
- 
-\end_layout
-
-\begin_layout Standard
-Ještě je třeba upozornit na důležitý detail.
+ Dále je třeba upozornit na důležitý detail.
  Na první pohled by se mohlo zdát, že jsme z rovnic kompletně odstranili
  závislost na úhlu natočení 
@@ -7175,13 +7770,19 @@
 \end_inset
 
- je samozřejmě třeba provést transformaci a pak inverzní transformaci zpět.
- Tyto transformace byly popsány v části 
-\begin_inset CommandInset ref
-LatexCommand ref
-reference "sub:Transformace_albe_dq"
-
-\end_inset
-
- a zřejmě závisí právě na úhlu natočení 
+ je samozřejmě třeba provést transformaci (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:transformace_al-be_na_d-q"
+
+\end_inset
+
+) a pak inverzní transformaci (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:transformace_d-q_na_al-be"
+
+\end_inset
+
+) zpět a obě závisí právě na úhlu natočení 
 \begin_inset Formula $\vartheta$
 \end_inset
@@ -7195,6 +7796,6 @@
 \end_inset
 
- a stav rovnou rozšíříme o referenční signál na 
-\begin_inset Formula $x_{t}=\left(i_{d,t},i_{q,t},\psi_{t},\vartheta_{t},\overline{\omega}_{t}\right)$
+ a stav rovnou rozšíříme o konstantu na 
+\begin_inset Formula $x_{t}=\left(i_{d,t},i_{q,t},\psi_{t},\vartheta_{t},1\right)$
 \end_inset
 
@@ -7205,18 +7806,23 @@
 
 .
- Matice pro systém při neuvažování členů 
-\begin_inset Formula $\pm\Delta t\cdot i_{q,d}\omega$
-\end_inset
-
- jsou následující:
+ Upravená matice 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+ se zahrnutím konstantních členů v důsledku linearizace a nenulových referenčníc
+h otáček a matice 
+\begin_inset Formula $B$
+\end_inset
+
+ jsou 
 \begin_inset Formula 
 \begin{eqnarray*}
-A & = & \left[\begin{array}{ccccc}
-a & 0 & 0 & 0 & 0\\
-0 & a & -b & 0 & -b\\
-0 & e & d & 0 & d-1\\
-0 & 0 & \Delta t & 1 & \Delta t\\
+A_{t} & = & \left[\begin{array}{ccccc}
+a & \Delta t\cdot\omega & \Delta t\cdot i_{q} & 0 & -\Delta t\cdot i_{q}\left(\omega-\overline{\omega}\right)\\
+-\Delta t\cdot\omega & a & -\Delta t\cdot i_{d}-b & 0 & \Delta t\cdot i_{d}\left(\omega-\overline{\omega}\right)-b\overline{\omega}\\
+0 & e & d & 0 & d\overline{\omega}\\
+0 & 0 & \Delta t & 1 & \Delta t\overline{\omega}\\
 0 & 0 & 0 & 0 & 1
-\end{array}\right],\\
+\end{array}\right]\\
 B & = & \left[\begin{array}{cc}
 c & 0\\
@@ -7225,66 +7831,6 @@
 0 & 0\\
 0 & 0
-\end{array}\right].
+\end{array}\right]
 \end{eqnarray*}
-
-\end_inset
-
-Když členy 
-\begin_inset Formula $\pm\Delta t\cdot i_{q,d}\omega$
-\end_inset
-
- uvažovat budeme, je třeba provést linearizaci a matice 
-\begin_inset Formula $A_{t}$
-\end_inset
-
- pak již nebude konstantní
-\begin_inset Formula 
-\begin{equation}
-A_{t}=\left[\begin{array}{ccccc}
-a & \Delta t\cdot\omega & \Delta t\cdot i_{q} & 0 & \Delta t\cdot i_{q}\\
--\Delta t\cdot\omega & a & -\Delta t\cdot i_{d}-b & 0 & -\Delta t\cdot i_{d}-b\\
-0 & e & d & 0 & d-1\\
-0 & 0 & \Delta t & 1 & \Delta t\\
-0 & 0 & 0 & 0 & 1
-\end{array}\right].\label{eq:maticeA_lq_dq_scleny}
-\end{equation}
-
-\end_inset
-
-Matice 
-\begin_inset Formula $B$
-\end_inset
-
- zůstává stejná.
-\end_layout
-
-\begin_layout Standard
-Analogicky jako u LQ řízení v 
-\begin_inset Formula $\alpha-\beta$
-\end_inset
-
- se na základě simulací ukazuje, že v případě uvažování 
-\begin_inset Formula $\pm\Delta t\cdot i_{q,d}\omega$
-\end_inset
-
- poskytuje lepší výsledky nežli matice (
-\begin_inset CommandInset ref
-LatexCommand ref
-reference "eq:maticeA_lq_dq_scleny"
-
-\end_inset
-
-) její upravená verze vzniklá zanedbáním některých členů.
- To vede na matici
-\begin_inset Formula 
-\[
-A_{t}=\left[\begin{array}{ccccc}
-a & \Delta t\cdot\omega & 0 & 0 & 0\\
--\Delta t\cdot\omega & a & -b & 0 & -b\\
-0 & e & d & 0 & d-1\\
-0 & 0 & \Delta t & 1 & \Delta t\\
-0 & 0 & 0 & 0 & 1
-\end{array}\right].
-\]
 
 \end_inset
@@ -7303,14 +7849,5 @@
 \begin_layout Standard
 V této části bude popsán jednoduchý návrh řízení využívajícího injektáží.
- Jedná se o velmi základní návrh, který trpí některými nedostatky, především
- při zpracování výstupního signálu a analýze v něm modulované informace.
- Dále je tento postup implementován pouze jako simulace v 
-\family typewriter
-Matlabu
-\family default
-.
- Implementace v simulátoru naráží na celou řadu potíží, především potřebu
- zpracovávat inforamci ze signálu ještě před vstupem do estimátoru (používaný
- je EKF).
+ Jedná se o velmi základní návrh.
 \end_layout
 
